from enum import Enum
from typing import List

from pydantic import BaseModel


class Ptype(str, Enum):
    p = 'p'
    g = 'g'


class CasbinRoleCreate(BaseModel):
    role_name: str
    role_api: List[str]


class CasbinDB(BaseModel):
    ptype: Ptype
    v0: str
    v1: str
    v2: str


class AccountCreate(BaseModel):
    username: str
    role_name: str
    # nickname: str
    data_authority: str


class AccountsCreate(BaseModel):
    accounts: List[AccountCreate]


class AccountDeleteUser(BaseModel):
    name: str


class AccountSetRole(BaseModel):
    name: str
    role_name: str
